package com.jeeplus.modules.sys.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.modules.sg.raiseCapitalDesign.entity.CableSectionInfo;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-11-02 11:46
 */
public class CableThreeListener extends AnalysisEventListener<Map<Integer, String>> {

    private List<CableSectionInfo> data = new ArrayList<>();

    @Override
    public void invoke(Map<Integer, String> rowData, AnalysisContext context) {
        int rowIndex = context.readRowHolder().getRowIndex();

        if (rowIndex >= 2) { // 从第7行开始

            if (null != rowData.get(8)) {
                if (StringUtils.isNotBlank(rowData.get(8)) & rowData.get(0).equals("总长（km)：")){
                    CableSectionInfo sectionInfo = new CableSectionInfo();
                    sectionInfo.setDestination(rowData.get(8));
                    sectionInfo.setPathLength(rowData.get(9));
                    sectionInfo.setUpperRod(rowData.get(10));
                    sectionInfo.setArrival(rowData.get(11));
                    sectionInfo.setIncomingEquipment(rowData.get(12));
                    sectionInfo.setCoefficient(rowData.get(13));
                    sectionInfo.setElectricalChief(rowData.get(14));
                    data.add(sectionInfo);
                }
            }


        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

    public List<CableSectionInfo> getData() {
        return data;
    }

}
