package com.jeeplus.modules.sys.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.jeeplus.common.utils.excel.ImportExcel;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialInfo;
import org.apache.poi.ss.usermodel.Row;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-11-02 11:46
 */
public class ExcelMaterialInfoListener extends AnalysisEventListener<Map<Integer, String>> {

    private List<MaterialInfo> data = new ArrayList<>();

    @Override
    public void invoke(Map<Integer, String> rowData, AnalysisContext context) {
        int rowIndex = context.readRowHolder().getRowIndex();

        if (rowIndex >= 6) { // 从第7行开始
            MaterialInfo materialInfo = new MaterialInfo();
            materialInfo.setMaterialCode(rowData.get(1));
            materialInfo.setMaterialName(rowData.get(2));
            materialInfo.setExtendDescription(rowData.get(3));
            materialInfo.setUnit(rowData.get(4));
            String column5Value = rowData.get(5);
            if (column5Value != null) {
                materialInfo.setTotalCount(Double.parseDouble(column5Value));
            } else {
                materialInfo.setTotalCount(0.00);
            }
            String column6Value = rowData.get(6);
            if (column6Value != null) {
                materialInfo.setWeightKg(Double.parseDouble(column6Value));
            } else {
                materialInfo.setWeightKg(0.00);
            }
            String column7Value = rowData.get(7);
            if (column7Value != null) {
                materialInfo.setWeightTon(Double.parseDouble(column7Value));
            } else {
                materialInfo.setWeightTon(0.00);
            }
            materialInfo.setSupplyType(rowData.get(8));
            materialInfo.setNote(rowData.get(9));
            data.add(materialInfo);
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

    public List<MaterialInfo> getData() {
        return data;
    }

}
